package com.tappli.android.rotatetest;

import java.util.Date;

import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity {
	private Date mStartTime = null;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		// onCreate()が呼ばれている証拠に
		Toast.makeText(this, "onCreate",	Toast.LENGTH_SHORT).show();
		
		// onRetainNonConfigurationInstance()で返却されたオブジェクトを取得する
		mStartTime = (Date) getLastNonConfigurationInstance();
		if (mStartTime == null) {
			// nullなら新しく作る
			mStartTime = new Date();
		}
		
		// 表示する
		TextView textView = (TextView) findViewById(R.id.text);
		textView.setText(mStartTime.toString());
	}

	@Override
	public Object onRetainNonConfigurationInstance() {
		// Activityのインスタンスが再生成されても保持し続けたいオブジェクトを返す
		return mStartTime;
	}
}